com.mockobjects

## Class ExpectationSegment

- java.lang.Object
- - com.mockobjects.AbstractExpectation
  - - com.mockobjects.ExpectationSegment

All Implemented Interfaces:
  Expectation, Verifiable

    public class ExpectationSegment
    extends AbstractExpectation

### Constructor Summary

Constructors
Constructor and Description
`ExpectationSegment(java.lang.String name)`

### Method Summary

Methods
`void` `clearActual()`
`void` `setActual(java.lang.String aString)`
`void` `setExpected(java.lang.String segment)`
`void` `setExpectNothing()` Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error.
`void` `verify()` Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class com.mockobjects.AbstractExpectation

`hasExpectations, setFailOnVerify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpectationSegment

    public ExpectationSegment(java.lang.String name)

### Method Detail

#### clearActual

    public void clearActual()

Specified by:
  `clearActual` in class `AbstractExpectation`

#### setActual

    public void setActual(java.lang.String aString)

#### setExpected

    public void setExpected(java.lang.String segment)

#### setExpectNothing

    public void setExpectNothing()

Description copied from interface: `Expectation`
Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error. The Expectation will fail if any actual values are set. Note that this is not the same as not setting any expectations, in which case verify() will do nothing.

#### verify

    public void verify()

Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`
Specified by:
  `verify` in class `AbstractExpectation`